Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.navi
Interface MemberProperties

All Superinterfaces:
  Extension

All Known Implementing Classes:
  MondrianMemberProperties, TestMemberProperties, XMLA_MemberProperties

    public interface MemberProperties

extends Extension

retrieves the description of the available member properties

Author:
  av

Field Summary
`static java.lang.String` | `ID` name of the Extension for lookup

Method Summary
`MemberPropertyMeta[]` | `getMemberPropertyMetas(Level level)`
`java.lang.String` | `getPropertyScope(Member m)` returns a string `scope` that represents the scope of Member m.
`boolean` | `isLevelScope()` Properties are either Level scope or Dimension scope.
`void` | `setVisibleProperties(MemberPropertyMeta[] props)` sets the visible properties.

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Field Detail

### ID

    static final java.lang.String ID

  name of the Extension for lookup

  See Also:
    Constant Field Values

Method Detail

### getMemberPropertyMetas

    MemberPropertyMeta[] getMemberPropertyMetas(Level level)

### isLevelScope

    boolean isLevelScope()

  Properties are either Level scope or Dimension scope. Properties are unique within their scope. If scope is level, then properties with same name in different levels are treated as different Properties. If false, the scope will be Dimension.

  Returns:

### getPropertyScope

    java.lang.String getPropertyScope(Member m)

  returns a string `scope` that represents the scope of Member m. The returned String `scope` ensures that `scope.equals(MemberPropertyMeta.getScope())` is true if the property belongs to member m.

### setVisibleProperties

    void setVisibleProperties(MemberPropertyMeta[] props)

  sets the visible properties. Optimizing implementations of PropertyHolder may only return these properties.

  See Also:
    `PropertyHolder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD